<template>
  <div class="sliders">
    <el-slider
      v-model="alpha"
      vertical
      height="200px"
      :max="1"
      :min="0"
      :step="0.01"
      @input="changeSlider"
    >
    </el-slider>
  </div>
</template>

<script>
import store from "@/utils/store.js";
import { layers } from "../../../../static/json/layer.js";
export default {
  data() {
    return {
      alpha: store.tdglInfo.alpha,
    };
  },
  methods: {
    changeSlider(val) {
      if (window.tdglLayer) {
        sgworld.Creator.DeleteObject(window.tdglLayer);
      }
      window.tdglLayer = sgworld.Creator.createImageryProvider(
        layers[8].name,
        "tms",
        {
          id: layers[8].children[0].id,
          url: layers[8].children[0].urls,
          fileExtension: layers[8].children[0].img || "png",
          enablePickFeatures: false,
          level: layers[8].children[0].Level,
          minimumLevel: layers[8].children[0].minimumLevel,
          maximumLevel: layers[8].children[0].maximumLevel,
          tilingScheme:
            layers[8].children[0].tileType === "Geo"
              ? new Cesium.GeographicTilingScheme()
              : new Cesium.WebMercatorTilingScheme(),
          // alpha: layers[8].children[0].alpha,
          alpha:val,
        },
        "0",
        layers[8].children[0].zIndex,
        true,
        ""
      );
    },
  },
};
</script>

<style scoped>
.sliders {
  position: absolute;
  top: 2rem;
  left: 0.15rem;
}
</style>